TEMPLATES
Get Template Detail
Retrieve detailed information about a specific template including its metadata, enabled channels, and version info.
GET
/
v2
/
{workspace}
/
template
/
{template_slug}
/
Get Template
curl -X GET "https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/?mode=live" \
--header 'Authorization: ServiceToken <token>'import requests
url = "https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$schema": "https://schema.suprsend.com/template/v2/schema.json",
"slug": "order-confirmed",
"created_at": "2026-04-01T05:57:21.081312Z",
"last_triggered_at": null,
"name": "Order Confirmed",
"description": null,
"tags": [],
"enabled_channels": [
"email"
],
"status": "active",
"version_no": 1,
"hash": "16abf987215a02b655d5ef6a8f7f8cc150ffb03fd83b6c235d6c4cc2070ec170",
"commit_message": null,
"active_at": "2026-04-01T09:22:02.382889Z",
"updated_at": "2026-04-01T09:22:02.386223Z",
"updated_by": {
"name": "Sam Wilson",
"email": "sam.wilson@example.com"
},
"channels": [
{
"channel": "email",
"is_active": true,
"variants_count": 1
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "template (slug: 'order-confirmed') not found",
"detail": "template (slug: 'order-confirmed') not found"
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug.
Unique template slug.
Query Parameters
Return draft or live version.
Available options:
draft, live Response
Template details retrieved successfully
The response is of type object.
Was this page helpful?
Previous
Create/Update TemplateCreate a new template or update an existing one. If the template slug already exists, the template metadata is updated. Changes are saved to the draft version.
Next
⌘I
Get Template
curl -X GET "https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/?mode=live" \
--header 'Authorization: ServiceToken <token>'import requests
url = "https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v2/{workspace}/template/{template_slug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$schema": "https://schema.suprsend.com/template/v2/schema.json",
"slug": "order-confirmed",
"created_at": "2026-04-01T05:57:21.081312Z",
"last_triggered_at": null,
"name": "Order Confirmed",
"description": null,
"tags": [],
"enabled_channels": [
"email"
],
"status": "active",
"version_no": 1,
"hash": "16abf987215a02b655d5ef6a8f7f8cc150ffb03fd83b6c235d6c4cc2070ec170",
"commit_message": null,
"active_at": "2026-04-01T09:22:02.382889Z",
"updated_at": "2026-04-01T09:22:02.386223Z",
"updated_by": {
"name": "Sam Wilson",
"email": "sam.wilson@example.com"
},
"channels": [
{
"channel": "email",
"is_active": true,
"variants_count": 1
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "template (slug: 'order-confirmed') not found",
"detail": "template (slug: 'order-confirmed') not found"
}